Subject: Re: linux-next: build failure after merge of the final tree (staging tree related)

From: Greg KH <[email-masked]>
Date: Wed, 24 Aug 2011 15:57:58 -0700

On Thu, Aug 25, 2011 at 08:54:20AM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Wed, 24 Aug 2011 14:16:46 -0700 Greg KH <[email-masked]> wrote:
> >
> > To fix it, all we have to do is include linux/vmalloc.h, right?  Or is
> 
> I would assume so.
> 
> > ppc "special" in some other way regarding this call?
> 
> I assume it happens just because vmalloc.h is implicitly included by some
> other header file on x86 and not on ppc.
> 
> This is why we have "Rule 1" in Documentation/SubmitChecklist.  Relying
> on the implicit inclusion of header files is bound to trip us up on some
> architecture or platform or combination of CONFIG options.

Fair enough, I've made this fix in my tree, so it should be good now.

thanks,

greg k-h